Page MenuHomePhabricator

[production] minor: 'Mark as read' cross-wiki alerts displays blank flyout
Closed, ResolvedPublic

Description

Found in production and betalabs.

When only cross-wiki alerts are present in Alerts, mark them as read - the blank Alert flyout will be displayed.
After refreshing the page, Alerts display proper 'There are no notifications' message.
It's easy to reproduce the issue with creating a new user.

  1. On enwiki create a new user account.
  2. Sign in to another wiki and enable cross-wiki notification on that wiki.
  3. The new user will immediately see Alerts displaying one new notfication.
  4. Click to expand it and view the Alert notification from enwiki (Welcome a new user msg).
  5. Mark it as read - the Alerts flyout becomes blank.


Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2016, 6:23 PM
Etonkovidova renamed this task from [production] 'Mark as read' cross-wiki alerts displays blank flyout to [production] minor: 'Mark as read' cross-wiki alerts displays blank flyout .Apr 27 2016, 9:32 PM
Etonkovidova updated the task description. (Show Details)

Change 296437 had a related patch set uploaded (by Sbisson):
Show placeholder widget when there is no notifications

https://gerrit.wikimedia.org/r/296437

SBisson claimed this task.Jun 28 2016, 7:41 PM

Change 296437 merged by jenkins-bot:
Show placeholder widget when there are no notifications

https://gerrit.wikimedia.org/r/296437

Checked in betalabs - 1.28.0-alpha (0124c6c) - after all cross-wiki Alerts are marked as read, "There are no notifications." message is displayed.

jmatazzoni closed this task as Resolved.Jul 21 2016, 6:13 PM